Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(49)

Unified Diff: chromeos-base/vboot_reference/vboot_reference-9999.ebuild

Issue 2852001: Prepare vboot_reference ebuild to work with the new makefile and build flow. (Closed) Base URL: ssh://git@chromiumos-git/chromiumos-overlay.git
Patch Set: Modified based on the review comments Created 10 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « chromeos-base/vboot_reference/vboot_reference-1.0.ebuild ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: chromeos-base/vboot_reference/vboot_reference-9999.ebuild
diff --git a/chromeos-base/vboot_reference/vboot_reference-9999.ebuild b/chromeos-base/vboot_reference/vboot_reference-9999.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..b4d212956f5dc998683d26f3ac429382c8280020
--- /dev/null
+++ b/chromeos-base/vboot_reference/vboot_reference-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
+# Distributed under the terms of the GNU General Public License v2
+
+inherit cros-workon
+
+DESCRIPTION="Chrome OS verified boot tools"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="minimal"
+EAPI="2"
+
+DEPEND="dev-libs/openssl
+ sys-apps/util-linux"
+
+EGIT_REPO_URI=git://chromiumos-git/git/repos/not-yet-populated.git
+SRCPATH=src/platform/vboot_reference
+
+src_compile() {
+ tc-export CC AR CXX
+ err_msg="${SRCPATH} compile failed. "
+ err_msg+="Try running 'make clean' in the package root directory"
+ emake || die "${err_msg}"
+}
+
+src_install() {
+ if use minimal ; then
+ emake DESTDIR="${D}/usr/bin" BUILD="${S}"/build -C cgpt \
+ install || die "${SRCPATH} install failed."
+ else
+ emake DESTDIR="${D}/usr/bin" install || \
+ die "${SRCPATH} install failed."
+ fi
+}
« no previous file with comments | « chromeos-base/vboot_reference/vboot_reference-1.0.ebuild ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698